//FIRcirc_ext.c  C program calling ASM function using circular buffer 

#include "bp1750.cof"  	                //BP at 1750 Hz coeff file
int yn = 0;				          //init filter's output
 
interrupt void c_int11()                //ISR
{
 short sample_data;

 sample_data = input_sample();          //newest input sample data
 yn = fircircfunc_ext(sample_data,h,N); //ASM funcn passing to A4,B4,A6
 output_sample(yn >> 15);	          //filter's output
 return;				   	    //return to calling function
}

void main()
{
 comm_intr();			   	    //init DSK, codec, McBSP
 while(1);                 	          //infinite loop
}

