//dotpfunc.c  Optimized dot product function

int dotpfunc(const short *a, const short *b, int ncount)
{
      int sum = 0;
	int i;

    _nassert((int)(a)%4 == 0);
    _nassert((int)(b)%4 == 0);
    _nassert((int)(ncount)%4 == 0);

    for ( i = 0; i < ncount; i++)
    {
         sum += (a[i] * b[i]);	//sum of products
    }
    return (sum);				//return sum as result
}
