/*Linker command file for FIR using circular buffer*/

MEMORY
{
  VECS:       org=          0h,  len=       0x220
  IRAM:       org = 0x00000220,  len = 0x0000FDC0  
  SDRAM:      org = 0x80000000,  len = 0x01000000  
  FLASH:      org = 0x90000000,  len = 0x00020000
}

SECTIONS
{                
  circdata :> IRAM	
  vectors  :> VECS
  .text	   :> IRAM
  .bss     :> IRAM
  .cinit   :> IRAM
  .stack   :> IRAM
  .sysmem  :> SDRAM
  .const   :> IRAM
  .switch  :> IRAM
  .far     :> SDRAM
  .cio     :> SDRAM   
}
