//Sine4_poll.c Sine generation using 4 points; f=Fs/(# points)=2 kHz

int loop = 0;
short sine_table[4] = {0,1000,0,-1000};        //sine values
short amplitude = 1;                	     //for slider

void main()
{
  int sample_data;

  comm_poll();                                 //init DSK, codec, McBSP
  while(1)                                     //infinite loop
  {
   sample_data = (sine_table[loop]*amplitude); //scaled value 
   output_sample(sample_data);                 //output sine value
   if (loop < 3) ++loop;                       //increment index
   else loop = 0;                              //reinit @ end of buffer
  }
}

